Subject: Re: git rebase --continue automatic --skip?

From: Peter Baumann <[email-masked]>
Date: Mon, 11 Apr 2011 08:10:52 +0200

On Sat, Apr 09, 2011 at 03:03:09PM +0200, Peter Baumann wrote:
> On Fri, Apr 08, 2011 at 08:03:51PM -0400, Jeff King wrote:
> > On Fri, Apr 08, 2011 at 01:30:01PM -0700, [email-masked] wrote:
> > 
> > > Is there a way to make git rebase --continue automatically do a --skip
> > > if a conflict resolution ends up not needing the patch? Normally, git
> > > rebase will just silently skip a patch if it's not needed, but if a
> > > patch results in a conflict and I use git mergetool and end up
> > > deleting all the changes, git rebase --continue stops and makes me
> > > explicitly use --skip.

[ ... patch left out ... ]

> > 
> > I put it in rebase and not straight into "git am", as I'm not sure that
> > "am" would want to share the same behavior. I'm not sure why we haven't
> > done this up until now. Maybe there is some corner case I'm not thinking
> > of where the user would want to do something besides skip when we hit
> > this situation. I dunno.
> > 
> 
> This was mentioned before on the list (sorry, don't have a reference, 
> but it was a long time ago). AFAIR the reason it wasn't implemented yet is that
> you will lose the commit message, which might contain precious information.
> But with reflogs this shouldn't be a problem anymore.
> 

I actually managed to find the thread I was remembering:

http://thread.gmane.org/gmane.comp.version-control.git/62854/focus=62907

-Peter